Khronos Public Bugzilla
Bug 170 - improving gl3.h
improving gl3.h
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: Registry
unspecified
All All
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 13:29 PDT by Marcin Sokalski
Modified: 2013-07-11 01:59 PDT (History)
1 user (show)

See Also:


Attachments
zipped gl3.h & gl3.cpp (15.01 KB, application/zip)
2009-05-11 13:29 PDT, Marcin Sokalski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Sokalski 2009-05-11 13:29:58 PDT
Created attachment 30 [details]
zipped gl3.h & gl3.cpp

I'd like have gl3.h in form that it would be easy to make gl func entry wrapper.
Plus it should be easy to integrate it with OS predefined API for GL up to some version (for windows its 1.1).

Please find attached gl3.h and a sample wrapper gl3.cpp.
Some comments are pasted into beggining of gl3.h

I hope it will be helpful.

Marcin Sokalski
msokalski@3dweb.pl
Comment 1 FriendlySport 2009-07-22 20:24:27 PDT
I like the "predefined API for GL up to some version". For example, with Windows, I'd like to be able to use GL3_PROTOTYPES for GL 1.0 and 1.1, but not for the rest because they have to be loaded separately.
Comment 2 Jon Leech 2013-07-11 01:59:47 PDT
The new XML Registry makes it easy to extract information and build
headers for any requested combination of versions, profiles, and
extensions (at least as easy as specifying regular expressions
describing them). glcorearb.h is generated out of the XML files &
scripts but they are all available from the registry and you can
tweak them as you like for other purposes. I am marking this as
"fixed" though what I really mean is "the information is available
for you to do this now".